
#include "prototype.h"

/**
 * Main program, run_container container
 */
int main(int argc, char *const argv[])
{
    if (argc <= 1)
    {
        error("Too few arguments");
    }

    struct clone_args cloneArgs;
    cloneArgs.argc = argc - 1;
    cloneArgs.argv = &argv[1];
    cloneArgs.hostname = "container-hostname";

    container_t *c = initialize_container(cloneArgs);
    run_container(c);
    destroy_container(c);

    exit(EXIT_SUCCESS);
}
